<input [formControl]="formControl" type="text" #focus
  [id]="id"
  [required]="required"
  [placeholder]="placeholder"
  [minlength]="minlength !== null ? minlength : ''"
  [maxlength]="maxlength !== null ? maxlength : ''"
  [pattern]="pattern"
  [tabindex]="tabIndex"
  [attr.aria-invalid]="ngControl?.invalid"
  [attr.aria-describedby]="describedBy ? describedBy : id + '-hint'"
  [autocomplete]="autocomplete ? autocomplete : 'off'">
<span class="portal-container" id="portal-{{id}}"></span>
<span class="clear-wrapper">
  <button cui-icon-button mode="ghost" icon="clear"
          type="button"
          *ngIf="clearable && value"
          [disabled]="isDisabled || disabled"
          (click)="clear()"></button>
</span>
